uniform vec3 LightPosition;

attribute vec3 tangent;

varying vec2 MCposition;
varying vec3 normal, lightVec, viewVec;
varying vec3 tangent_v;

void main()
{
	vec3 ecPosition		= vec3(gl_ModelViewMatrix * gl_Vertex);
	normal			= normalize(gl_NormalMatrix * gl_Normal);
	//lightVec		= normalize(LightPosition - ecPosition);
	lightVec		= normalize(LightPosition);
	viewVec = normalize(-ecPosition);

	MCposition = ecPosition.xy;
	gl_Position = ftransform();

	tangent_v = normalize(gl_NormalMatrix * tangent);
}