attribute vec3 tangent;

varying vec2 MCposition;
varying vec3 normal, lightVec, viewVec;
varying vec3 tangent_v;
varying vec3 vx_pos;
varying vec2 zCuttoff;

void main()
{
	vec3 ecPosition		= vec3(gl_ModelViewMatrix * gl_Vertex);
	normal			= normalize(gl_NormalMatrix * gl_Normal);
	//lightVec		= normalize(LightPosition - ecPosition);

	// vertex position
	vx_pos = vec3(gl_Vertex);
	vx_pos = ecPosition;

// directional
	if (gl_LightSource[0].position.w == 0.0)
		lightVec		= normalize(vec3(gl_LightSource[0].position) );
	else
		lightVec		= vec3(0.0, 0.0, 1.0);
	
	viewVec = normalize(ecPosition);

	MCposition = ecPosition.xy;
	gl_Position = ftransform();

	// do texture (for texture unit 0?)
	gl_TexCoord[0] = gl_MultiTexCoord0;

	tangent_v = normalize(gl_NormalMatrix * tangent);
	
}
